/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2018-12-10
 * 描述            ：基础制程工序引用表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Qms.com.vo;
import java.io.Serializable;
import java.util.Date;

import market.Qms.com.mapper.ComMscQuoteProcessMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Id;
import com.hnshituo.orm.annotation.Table;

@Table(name="COM_MSC_QUOTE_PROCESS", namespace=ComMscQuoteProcessMapper.class)
public class ComMscQuoteProcess extends BaseVO implements Serializable {
	/** 
	 * 冶金规范码（保存MSC和接箍KEY）
	 */ 
	@Column
	private String msc;
	public String getMsc() {
		return this.msc;
	}
	public void setMsc(String msc) {
		this.msc = msc;
	}

	/** 
	 * 产线号
	 */ 
	@Id
	private String msc_pline;
	public String getMsc_pline() {
		return this.msc_pline;
	}
	public void setMsc_pline(String msc_pline) {
		this.msc_pline = msc_pline;
	}

	/** 
	 * 全程工序顺序号
	 */ 
	@Id
	private Long backlog_seq;
	public Long getBacklog_seq() {
		return this.backlog_seq;
	}
	public void setBacklog_seq(Long backlog_seq) {
		this.backlog_seq = backlog_seq;
	}

	/** 
	 * 工序代码(大工序)
	 */ 
	@Id
	private String process_code;
	public String getProcess_code() {
		return this.process_code;
	}
	public void setProcess_code(String process_code) {
		this.process_code = process_code;
	}

	/** 
	 * 工序名称(大工序)
	 */ 
	@Column
	private String process_desc;
	public String getProcess_desc() {
		return this.process_desc;
	}
	public void setProcess_desc(String process_desc) {
		this.process_desc = process_desc;
	}

	/** 
	 * 二级工序代码
	 */ 
	@Id
	private String process_code_c;
	public String getProcess_code_c() {
		return this.process_code_c;
	}
	public void setProcess_code_c(String process_code_c) {
		this.process_code_c = process_code_c;
	}

	/** 
	 * 二级工序名称
	 */ 
	@Column
	private String process_desc_c;
	public String getProcess_desc_c() {
		return this.process_desc_c;
	}
	public void setProcess_desc_c(String process_desc_c) {
		this.process_desc_c = process_desc_c;
	}

	/** 
	 * 同工序循环次数
	 */ 
	@Column
	private Long process_seq;
	public Long getProcess_seq() {
		return this.process_seq;
	}
	public void setProcess_seq(Long process_seq) {
		this.process_seq = process_seq;
	}

	/** 
	 * 是否引用成分标准(1:是,0:不是)
	 */ 
	@Column
	private String is_stdcic;
	public String getIs_stdcic() {
		return this.is_stdcic;
	}
	public void setIs_stdcic(String is_stdcic) {
		this.is_stdcic = is_stdcic;
	}

	/** 
	 * 是否引用材质标准(1:是,0:不是)
	 */ 
	@Column
	private String is_stdpic;
	public String getIs_stdpic() {
		return this.is_stdpic;
	}
	public void setIs_stdpic(String is_stdpic) {
		this.is_stdpic = is_stdpic;
	}

	/** 
	 * 是否引用公差标准(1:是,0:不是)
	 */ 
	@Column
	private String is_stdsic;
	public String getIs_stdsic() {
		return this.is_stdsic;
	}
	public void setIs_stdsic(String is_stdsic) {
		this.is_stdsic = is_stdsic;
	}

	/** 
	 * 是否引用探伤标准(1:是,0:不是)
	 */ 
	@Column
	private String is_stddic;
	public String getIs_stddic() {
		return this.is_stddic;
	}
	public void setIs_stddic(String is_stddic) {
		this.is_stddic = is_stddic;
	}

	/** 
	 * 成分标准索引号集合(，)(内控)
	 */ 
	@Column
	private String cic;
	public String getCic() {
		return this.cic;
	}
	public void setCic(String cic) {
		this.cic = cic;
	}

	/** 
	 * 材质标准索引号集合(，)(内控)
	 */ 
	@Column
	private String pic;
	public String getPic() {
		return this.pic;
	}
	public void setPic(String pic) {
		this.pic = pic;
	}

	/** 
	 * 公差标准索引号集合(，)(内控)
	 */ 
	@Column
	private String sic;
	public String getSic() {
		return this.sic;
	}
	public void setSic(String sic) {
		this.sic = sic;
	}

	/** 
	 * 探伤索引号集合(，)(内控)
	 */ 
	@Column
	private String dic;
	public String getDic() {
		return this.dic;
	}
	public void setDic(String dic) {
		this.dic = dic;
	}

	/** 
	 * 水压索引码集合(，)(内控)
	 */ 
	@Column
	private String wic;
	public String getWic() {
		return this.wic;
	}
	public void setWic(String wic) {
		this.wic = wic;
	}

	/** 
	 * 加工标准索引号集合(，)(内控)
	 */ 
	@Column
	private String gic;
	public String getGic() {
		return this.gic;
	}
	public void setGic(String gic) {
		this.gic = gic;
	}

	/** 
	 * {老系统}产线号
	 */ 
	@Column
	private String msc_pline_old;
	public String getMsc_pline_old() {
		return this.msc_pline_old;
	}
	public void setMsc_pline_old(String msc_pline_old) {
		this.msc_pline_old = msc_pline_old;
	}

	/** 
	 * 生产时间(小时/百吨)-自炼
	 */ 
	@Column
	private Double minute_product;
	public Double getMinute_product() {
		return this.minute_product;
	}
	public void setMinute_product(Double minute_product) {
		this.minute_product = minute_product;
	}

	/** 
	 * 等待时间(小时/百吨)-自炼
	 */ 
	@Column
	private Double minute_waite;
	public Double getMinute_waite() {
		return this.minute_waite;
	}
	public void setMinute_waite(Double minute_waite) {
		this.minute_waite = minute_waite;
	}

	/** 
	 * 生产时间（小时/百吨）外购
	 */ 
	@Column
	private Double minute_product_out;
	public Double getMinute_product_out() {
		return this.minute_product_out;
	}
	public void setMinute_product_out(Double minute_product_out) {
		this.minute_product_out = minute_product_out;
	}

	/** 
	 * 等待时间(小时/百吨)外购
	 */ 
	@Column
	private Double minute_waite_out;
	public Double getMinute_waite_out() {
		return this.minute_waite_out;
	}
	public void setMinute_waite_out(Double minute_waite_out) {
		this.minute_waite_out = minute_waite_out;
	}

	/** 
	 * 批量等待时间(小时/百吨)（自炼）
	 */ 
	@Column
	private Double batch_waite;
	public Double getBatch_waite() {
		return this.batch_waite;
	}
	public void setBatch_waite(Double batch_waite) {
		this.batch_waite = batch_waite;
	}

	/** 
	 * 批量等待时间(小时/百吨)（外购）
	 */ 
	@Column
	private Double batch_waite_out;
	public Double getBatch_waite_out() {
		return this.batch_waite_out;
	}
	public void setBatch_waite_out(Double batch_waite_out) {
		this.batch_waite_out = batch_waite_out;
	}

	/** 
	 * 工艺贴图
	 */ 
	@Column
	private String process_file;
	public String getProcess_file() {
		return this.process_file;
	}
	public void setProcess_file(String process_file) {
		this.process_file = process_file;
	}

	/** 
	 * GUID
	 */ 
	@Column
	private String guid;
	public String getGuid() {
		return this.guid;
	}
	public void setGuid(String guid) {
		this.guid = guid;
	}

	/** 
	 * 创建人
	 */ 
	@Column
	private String create_name;
	public String getCreate_name() {
		return this.create_name;
	}
	public void setCreate_name(String create_name) {
		this.create_name = create_name;
	}

	/** 
	 * 创建时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * 修改人
	 */ 
	@Column
	private String update_name;
	public String getUpdate_name() {
		return this.update_name;
	}
	public void setUpdate_name(String update_name) {
		this.update_name = update_name;
	}

	/** 
	 * 修改时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

	/** 
	 * 删除人
	 */ 
	@Column
	private String delete_name;
	public String getDelete_name() {
		return this.delete_name;
	}
	public void setDelete_name(String delete_name) {
		this.delete_name = delete_name;
	}

	/** 
	 * 删除时间
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date delete_time;
	public Date getDelete_time() {
		return this.delete_time;
	}
	public void setDelete_time(Date delete_time) {
		this.delete_time = delete_time;
	}

	/** 
	 * 有效标志(1:有效，0:无效)
	 */ 
	@Column
	private String validflag;
	public String getValidflag() {
		return this.validflag;
	}
	public void setValidflag(String validflag) {
		this.validflag = validflag;
	}

	/** 
	 * 备注
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

}
